[@rxap/data-grid](../wiki/globals) / DataGridHeaderCellDefDirective

# Class: DataGridHeaderCellDefDirective

Defined in: [data-grid-header-cell-def.directive.ts:15](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L15)

## Constructors

### new DataGridHeaderCellDefDirective()

> **new DataGridHeaderCellDefDirective**(`template`): [`DataGridHeaderCellDefDirective`](../wiki/Class.DataGridHeaderCellDefDirective)

Defined in: [data-grid-header-cell-def.directive.ts:23](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L23)

#### Parameters

##### template

`TemplateRef`\<[`DataGridHeaderCellDefDirectiveContext`](../wiki/Interface.DataGridHeaderCellDefDirectiveContext)\>

#### Returns

[`DataGridHeaderCellDefDirective`](../wiki/Class.DataGridHeaderCellDefDirective)

## Properties

### template

> **template**: `TemplateRef`\<[`DataGridHeaderCellDefDirectiveContext`](../wiki/Interface.DataGridHeaderCellDefDirectiveContext)\>

Defined in: [data-grid-header-cell-def.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L25)

## Methods

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**(`dir`, `ctx`): `ctx is DataGridHeaderCellDefDirectiveContext`

Defined in: [data-grid-header-cell-def.directive.ts:16](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-header-cell-def.directive.ts#L16)

#### Parameters

##### dir

[`DataGridHeaderCellDefDirective`](../wiki/Class.DataGridHeaderCellDefDirective)

##### ctx

`any`

#### Returns

`ctx is DataGridHeaderCellDefDirectiveContext`
